
Figure - Bug #117769
【BSP】【EVT3】【ST】【工厂模式】进入工厂模式后，fan没有自动转起来
2023-05-05 18:24 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-05-05

Priority: Normal Due date: 2023-05-15

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

Reproducibility: Every time Fixed Version: 2023-05-17

Test Type: ST Root cause: 功能实现

Description

【前提条件】

None

【测试步骤】

1. 烧写0095版本

2. 设备开机到工厂模式选择界面（汽车图片界面）

3. 同时按四个角进入工厂模式

【预期结果】

3.1 进入工厂模式后，fan应该自动旋转，DTC上报正常

3.2 挡住风扇后，报异常code

【实际结果】

3 进入工厂模式后，fan没有自动转起来

kernel.txt Magnifier (346 KB) Delete 移动测

History

#1 - 2023-05-06 18:50 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD BSP 叶鹏 

叶鹏

处理一下这个节点的写权限。

 java.io.FileNotFoundException: /sys/devices/platform/vendor/vendor:pwm-fan/hwmon/hwmon1/pwm1: open failed: EACCES (Permission denied)

#2 - 2023-05-15 19:33 - CDTS-TEST 周婷

- Due date set to 2023-05-15

#3 - 2023-05-16 19:21 - CD BSP 叶鹏 

- Status changed from New to RESOLVED

- % Done changed from 0 to 90

#4 - 2023-05-16 19:22 - CD BSP 叶鹏 

2025-07-04 1/2



- Assignee changed from CD BSP 叶鹏  to CD FW-廖涛

#5 - 2023-05-17 09:54 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

#6 - 2023-05-17 10:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200515 general/platform/vendor/thundercom

m/apps/TCSetupWizard

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:FactoryMode: Add MCU info and modify fun get logical.TC-RID: 1201-0207601IssueID: TS-R-BUG-117769Change-Id:

I69a376bc746eab2acce114e7fd04a66f250c9aed

#7 - 2023-05-17 10:21 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 90 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-17

- Root cause set to 功能实现

■ Current conclusion

已处理，代码已入库。

■ My analysis

-

■ Next action

测试验证。

#8 - 2023-05-18 14:14 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0101.C103(X103)

检测逻辑：

进入工厂模式页面，会打开风扇，然后等待 5s ，获取风扇转速，获取完成后关闭风扇；且只获取一次，如果一直停留在页面，风扇转速不会刷新

#9 - 2023-05-18 14:15 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
